SoBumpMapElement(3)

NAME
SoBumpMapElement - The SoBumpMapElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoBumpMapElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
Public Member Functions inherited from SoReplacedElement
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo () const
SbUniqueId getNodeId () const
virtual void print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SoNode *node, SoGLImage *image)
FIXME: write doc.
static SoGLImage * get (SoState *const state)
FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoBumpMapElement ()
virtual void setElt (SoGLImage *image)
FIXME: write doc.
Protected Member Functions inherited from SoReplacedElement
virtual ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Protected Attributes
SoGLImage * image
Protected Attributes inherited from SoReplacedElement
SbUniqueId nodeId
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth

  Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoBumpMapElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoBumpMapElement::~SoBumpMapElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBumpMapElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoBumpMapElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoBumpMapElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoBumpMapElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoBumpMapElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

Author

Generated automatically by Doxygen for Coin from the source code.